httpd-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Ben Barker <...@bbarker.co.uk>
Subject [users@httpd] Require expr
Date Fri, 21 Oct 2016 09:05:56 GMT
Hi,

I am running Apache 2.2.24
I have a site protected by basic authentication

Ideally, I would like to be able to bypass that authentication on provision
of a suitable query string, such that:

http://...../page.html asks for auth
http://...../page.html?secret=xxxxxxx does not

So far as I can see, this is possible in apache 2.4 using the below in a
.htaccess file:

Require expr %{QUERY_STRING} = secret=xxxx


However, this does not seem to work in apache 2.2.4. Is this correct, and,
if it is, is there an alternative (other than upgrading apache)

Mime
View raw message